1 Reply Latest reply on Aug 14, 2002 1:42 PM by Lee Francis

    Conflicting jar files

    Lee Francis Newbie

      I am attempting to deploy a webservice based off an existing application that my company has. Unfortunately the jar file I have been given to include in my webservice uses an older version of log4j.jar.

      Can I package up my wsr file with this older version of log4j.jar so that my webservice uses that jar file and not the one in server\default\lib.

        • 1. Re: Conflicting jar files
          Lee Francis Newbie

          No need to reply.

          I fixed my problem by wrapping the wsr file into an ear file along with the jar files and a
          META-INF\application.xml file which looked like this :


          <?xml version="1.0" encoding="ISO-8859-1" ?>
          - <application>
          <display-name>Test application</display-name>
          - <module>
          <java>log4j.jar</java>
          </module>
          - <module>
          <java>toolkit.jar</java>
          </module>
          - <module>
          <java>EquityQuote.wsr</java>
          </module>
          </application>

          Lee.